function [dense, inst] = density (c, cluster, kwidth, ktype, r, group)

% @CORTEX/DENSITY spike density vector
%
%   *****************************************
%   DEPRECATED: USE MEANFIRINGDENSITY INSTEAD
%   *****************************************
%
%    D = DENSITY(COBJ,CLUSTER,KWIDTH,KTYPE,KEY) returns a smoothed spike
%    density vector computed from spike CLUSTER in the COBJ @cortex object
%    for the trials and over the epoch specified in the single-key object
%    KEY, with a kernel width of KWIDTH ms and of type KTYPE (one of
%    'gauss', 'boxcar', 'epsp')
%
% Last modified: 18 Feb 06

% 13 Jun 99: can pass FRATES as argument
% 22 Feb 00: last line of code fixed according to Andrew's suggestion
% 22 May 00: fixed a small bug: sparr = double (spmat);
%  2 Jun 00: calling filter.m directly (bypassing conv.m);
%            if an odd window is requested, then window -= 1 (instead of +1);
%            if boxcar, increase window by 1 to get same kernel length
% 14 Jul 00: help text fixes

switch nargin
case 6
   spmat = spikematrix (c, cluster, r, group);
case 5
   spmat = spikematrix (c, cluster, r);
otherwise
   error ('wrong number of arguments');
end

[dense, inst] = smoothfr (spmat, kwidth, ktype);
