function r = plus (c, d)

% @cortex/plus.m
% to join 2 @cortex objects;
% sorry, not finished yet.
%
% Last modified: 3 Jun 00

%error ('sorry, @cortex object joining not supported yet');

if ~isa (c, 'cortex') | ~isa (d, 'cortex')
   error ('2 @cortex objects required');
end

r.version = 2;
r.name = [c.name '-' d.name];
if length(r.name)>30, r.name=r.name(1:30); end

r.trials         = c.trials + d.trials;
r.cond_no        = [c.cond_no; d.cond_no];
r.repeat_no      = [c.repeat_no; d.repeat_no];
r.block_no       = [c.block_no; d.block_no];
r.eog_rate       = [c.eog_rate; d.eog_rate];
r.KHz_resolution = [c.KHz_resolution; d.KHz_resolution];
r.trial_type     = [c.trial_type    ; d.trial_type    ];
r.exp_response   = [c.exp_response  ; d.exp_response  ];
r.response       = [c.response      ; d.response      ];

[cr, cc] = size (c.times);
[dr, dc] = size (d.times);

r.times = zeros (cr+dr, max(cc, dc));
r.codes = zeros (cr+dr, max(cc, dc));

r.times (1:cr, 1:cc)     = c.times;
r.times (cr+1:end, 1:dc) = d.times;

r.codes (1:cr, 1:cc)     = c.codes;
r.codes (cr+1:end, 1:dc) = d.codes;

r.cluster_bank = union (c.cluster_bank, d.cluster_bank);
r.spike_start  = zeros (r.trials, length(r.cluster_bank));
r.spike_end    = zeros (r.trials, length(r.cluster_bank));

for i=r.cluster_bank
   idx = find (c.cluster_bank == i);
   if ~isempty (idx)
      r.spike_start (1:c.trials, i) = c.spike_start (:,idx);
      r.spike_end   (1:c.trials, i) = c.spike_end   (:,idx);
   end
   idx = find (d.cluster_bank == i);
   if ~isempty (idx)
      id = find (d.spike_start(:,idx));
      d.spike_start(id,idx) = d.spike_start(id,idx) + length (c.spikes) + 1;
      id = find (d.spike_end  (:,idx));
      d.spike_end  (id,idx) = d.spike_end  (id,idx) + length (c.spikes) + 1;
      r.spike_start (c.trials+1:end, i) = d.spike_start (:,idx);
      r.spike_end   (c.trials+1:end, i) = d.spike_end   (:,idx);
   end
end
% merge spikes
r.spikes = [c.spikes; d.spikes];

% version 1 and up
r.changemode = 0;
r.rel_trial = [c.rel_trial; d.rel_trial];

% version 2 and up
r.eog2dva = max (c.eog2dva, d.eog2dva);
r.eog_start     = [c.eog_start; d.eog_start];
tmp = d.eog_ptr_start + length (c.eog_X);
r.eog_ptr_start = [c.eog_ptr_start; tmp];
tmp = d.eog_ptr_end   + length (c.eog_X);
r.eog_ptr_end   = [c.eog_ptr_end;   tmp];

r.eog_X = [c.eog_X; d.eog_X];
r.eog_Y = [c.eog_Y; d.eog_Y];

% done
r = class (r, 'cortex');