function [emX, emY] = raweyepos (c, t)

% @CORTEX/PRIVATE/RAWEYEPOS   eog (eye) XY positions from a single trial
%                               in a @cortex object
%
% [POSX,POSY] = RAWEYEPOS(COBJ,TRIAL);
%
% where
% COBJ:   the @cortex object
% TRIAL:  a single trial
% POSX:   horizontal projections of eye positions;
% POSY:   vertical   projections of eye positions;
%         each matrix has COL samples (in dva) by ROW trials;
%         values are time-locked on the cue(s) specified in the key
%
% Last modified: 6 Feb 06

% based on eyepos.m, last saved on 22 Dec 04

% % errifinvalidtrial (c, t);
emX = [];
emY = [];
e = c.eog;
% % if e.dva==0, error ('@cortex object does not contain EOG data'); end

% find the first and the last element of the vector 'e.X'
% that contains the samples for the current trial
% remember that c.eog_start (trial) == 0 if
% the current trial does not contain any eog values
first = e.ptr_start (t);
last  = e.ptr_end   (t);
if first == 0, return; end
emX = double(e.X (first:last))'/e.dva;
emY = double(e.Y (first:last))'/e.dva;
