function r = subsasgn (r, s, b)

% @rules/subsasgn.m
%
% Subscript handling routine for @rules class.
%
% The user of the class does not need to know how it works.
%
% Last modified: 30 Jan 99

switch length (s)
case 1
   if s.type == '.'
      if sum(r.size) > 1
         error ('there is more than one rule. Use robj(n).field');
      end
      ind = 1;
      field = s.subs;
   else
      error ('cannot use () in this context');
   end
case 2
   if s(1).type == '()' & s(2).type == '.'
      field = s(2).subs;
      if size (s(1).subs) == [1 1]
         ind = s(1).subs{1};
         if ind < 1 | ind > sum (r.size)
            error ('index out of bounds');
         end
      elseif size (s(1).subs) == [1 2]
         group = s(1).subs{1};
         rule  = s(1).subs{2};
         if group < 1 | group > length (r.size)
            error ('wrong group number');
         end
         if rule < 1 | rule > r.size (group)
            error ('invalid rule number for this group');
         end
         if group == 1
            ind = rule;
         else
            ind = sum (r.size (1:group-1)) + rule;
         end
      else
         error ('wrong number of dimensions');
      end
   else
      error ('bad syntax. Use robj(n).field');
   end
otherwise
   error ('bad syntax. Use robj(n).field');
end

% now that all subscript checking is done,
% try to assign the value to a matching field
if length(field) < 3
   error ('field name is too short')
end

switch field(1:3)
case 'lab'
   r.st(ind).label = b;
case 'sta'
   r.st(ind).start = b;
case 'fin'
   r.st(ind).finish = b;
case 'cue'
   r.st(ind).cues = b;
case 'con'
   r.st(ind).conds = b;
case 'blo'
   r.st(ind).blocks = b;
case 'tri'
   r.st(ind).trials = b;
case 'res'
   r.st(ind).resps = b;
case 'typ'
   r.st(ind).type = b;
case 'exp'
   r.st(ind).expect = b;
otherwise
   error ('field does not exist');
end
