function sset = parsegrouping (stru, value)

%Last modified: 10 Aug 03

if iscell(value)
   sset = [];
   if prod(size(value)) > length(value), error ('range must be a row vector'); end
   if size (value, 1) > 1, value = value'; end
   for qc = value
      if ischar (qc{:}) 
         id = lbl2idx (stru, qc{:});
         if id
            sset = [sset id];
         else
            warning (['label ''' qc{:} ''' not found']);
         end
      elseif isnumeric (qc{:})
         a = getintrange (length(stru), qc{:});
         sset = [sset a];
      else
         error ('only strings and numbers allowed in cell-array argument')
      end
   end
elseif ischar(value)
   sset = lbl2idx (stru, value);
elseif isnumeric(value)
   sset = getintrange (length(stru), value);
else
   error ('bad syntax');
end
if isempty (sset), error ('the requested range is empty!'); end