function [spm, inst, winsize, numofbins] = truncspm (spm, binsize)

%TRUNCSPM  truncate spikematrix
%   if its width is not a multiple of binsize
%
%Last modified: 19 Feb 06

error(NOTspikematrix (spm));
error(NOTscalar (binsize, 'BINSIZE'));
[inst, winsize] = size(spm);
extra = rem (winsize, binsize);
if extra
   warning ('time window is not a multiple of binsize;');
   disp (['rightmost ' num2str(extra) 'ms truncated from spike matrix.']);
   winsize = winsize - extra;
   spm (:, winsize+1:end) = [];
end
numofbins = winsize / binsize;
