function varargout = anovan (as, varargin)

%@FACTS/ANOVAN   performs n-way anova on the data
%                contained in a @facts object.
%
%   Syntax: [...] = ANOVAN(F,[...])
%   The input and output argument list is the same as that of Matlab Stats
%   Toolbox's ANOVAN, except that the facts object AS replaces the first
%   two input arguments (data and groups).
%
%Last modified: 6 Sep 06


% changes since 15 Mar 06:
% 23 Aug 06: tiny help text editss
%  6 Sep 06: removed dep argument: going to object attributes to control
%            how things get done

if nargout, nout=nargout; else nout=1; end
data = as.D(:,as.defs.dependent);
[varargout{1:nout}] = anovan (data, as.G(as.defs.factors), varargin{:});