function [ct, mm, sd, se, gl] = descriptive (as)

%DESCRIPTIVE case count, mean, stdev, and stderr of a @facts object
%
%Last modified: 5 Sep 06

% Since  8 Mar 06
%  5 Sep 06: selecting dependent variable

[tc gl] = dummies(as, as.defs.factors);
for j = 1:size(tc, 2)
   d = as.D(tc(:,j), as.defs.dependent);
   ct(j) = length(d);
   if ct(j)
      mm(j) = mean (d);
      sd(j) = std (d);
      se(j) = ste (d);
   else
      mm(j) = NaN;
      sd(j) = NaN;
      se(j) = NaN;
   end
end
ct = reshape (ct, gl);
mm = reshape (mm, gl);
sd = reshape (sd, gl);
se = reshape (se, gl);