function dep = depindex(as, val)

%@FACTS/DEPINDEX   returns the index of the passed dependent
%                  after doing a few checks
%
% Last modified: 5 Sep 06

if isstring(val)
   dep = strmatch(val, as.P, 'exact');
   if isempty(dep)
      error ([val ' is not a dependent variable in this object']);
   end
elseif isscalar(val)
   if val<1 || val>length(as.P)
      error (['dependent variable #' num2str(val) ' is out of range']);
   end
   dep = val;
else
   error ('DEPENDENT must be either a string or a scalar');
end