function varargout = subsref (f, s)

% Subscript handling routine for @fatcs class
% Last modified: 5 Sep 06

nout = 1:max(1,nargout);
if length(s) == 1 && s.type == '.'
	switch minifield(s.subs)
		case 'ver' % verbose
			varargout{1} = f.verbose;
		case 'fac' % active factors
			varargout{1} = f.defs.factors;
		case 'dep' % active dependent
			varargout{1} = f.defs.dependent;
		case 'des' % descriptive stats
			[varargout{nout}] = descriptive(f);
      case 'cou' % case count
         varargout{1} = count(f);
		case 'mea' % means
			varargout{1} = calc(f, @mean);
		case 'std' % standard deviation
			varargout{1} = calc(f, @std);
		case 'ste' % standard error
			varargout{1} = calc(f, @ste);
		case 'bar' % bar chart
			[varargout{nout}] = bar(f,'none');
      case 'leg' % active legend?
         varargout{1} = f.defs.legend;
      case 'raw'
         varargout{1} = raw(f);
		otherwise
			error ('field does not exist');
	end
elseif length (s) == 2 & s(1).type == '.' & s(2).type == '()'
	switch minifield(s(1).subs)
		case 'bar'
			[varargout{nout}] = bar(f, s(2).subs{:});
		otherwise
			error ('wrong syntax');
	end
else
	error ('wrong syntax')
end
