function [retval, diffbytes] = filecmp (first, second)

%FILECMP  byte-wise file comparison
%
% Last modified: 09 Mar 06

f1 = openfile (first,  'r');
a = fread (f1);
fclose (f1);

f2 = openfile (second, 'r');
b = fread (f2);
fclose (f2);

if length (a) ~= length (b)
	if nargout
		retval = false;
	else
		disp ('different sizes');
	end
   return
end

c = [a==b];
if all (c),
	if nargout
		retval = true;
	else
		disp ('the same');
	end
else
	diffbytes = find (~c);
	if nargout
		retval = false;
	else
		s = sprintf ('%d matching bytes out of %d', sum(c), length(c));
		disp (s);
	end
end