function a = horzarray (a, arg)
%HORZARRAY(A)  gives an error if A is not a 1-D numeric vector;
%   returns A itself, after making sure that the array is horizontal.
%   Useful in 'for I=A' loops because it avoids a common programming
%   bug, i.e. if A is vertical, I takes the whole of A on the first
%   iteration, and then the loop exits
%
%Last modified: 23 Mar 06

if nargin<2, arg=[]; end
error (NOTnumvector(a, arg));
a = a(:)';