function ind = nindex (one, two)

%NINDEX (ONE, TWO)  returns a normalized index according to the formula:
%
%          one-two
%  index = -------
%          one+two
%
% Last modified: 01 Mar 06

% created on 11 Sep 02 by Giuseppe Bertini
%  8 Aug 03: single-argument syntax added
% 15 Aug 03: turn off divide-by-zero warning
%  1 Mar 06: help text fixes

if nargin == 1
   two = one(:,2);
   one = one(:,1);
end
ws = warning ('query', 'MATLAB:divideByZero'); % remember current warning state
warning off MATLAB:divideByZero % turn off
ind = (one-two)./(one+two);
warning (ws); % restore previous warning state