function do = scatonbar (b, data, varargin)

%SCATONBAR  superimposes raw data points to a bar chart
%
%   SCATONBAR(B,DATA), where B is a vector of handles to barseries objects,
%   draws the data points in DATA on top of each of the bars in the
%   existing plot. DATA must be a cell array with each cell containing a
%   list of Y values to be plotted against each bar. The function is useful
%   to visualize the raw data underlying a bar chart representing group
%   means (as an alternative to error bars)
%
%   SCATONBAR(..., EXTRA)  all 'PropertyName', PropertyValue pairs
%   permitted by the function plot can be added here.
%
%   H = SCATONBAR(...) returns a handle to the plotted graphics objects.
%
%Last modified: 07 Mar 06

figure (ancestor (b, 'figure'));
noho = ~ishold;
hold on
xc = midofbars(b);
do = catscat (xc,data, varargin{:});
if noho, hold off; end